org.apache.xmpbox.type

## Class OECFType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.OECFType

    public class OECFType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `COLUMNS`
`static String` `NAMES`
`static String` `ROWS`
`static String` `VALUES`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`OECFType(XMPMetadata metadata)`

### Method Summary

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COLUMNS

    public static final String COLUMNS

See Also:
  Constant Field Values

#### NAMES

    public static final String NAMES

See Also:
  Constant Field Values

#### ROWS

    public static final String ROWS

See Also:
  Constant Field Values

#### VALUES

    public static final String VALUES

See Also:
  Constant Field Values

### Constructor Detail

#### OECFType

    public OECFType(XMPMetadata metadata)